;InnoSetupVersion=5.1.2

[Setup]
AppName=MozBackup
AppVerName=MozBackup 1.4.5
AppId=MozBackup
AppPublisher=Pavel Cvrcek
AppPublisherURL=http://mozbackup.jasnapaka.com/
AppSupportURL=http://mozbackup.jasnapaka.com/
AppUpdatesURL=http://mozbackup.jasnapaka.com/
DefaultDirName={pf}\MozBackup
DefaultGroupName=MozBackup
OutputBaseFilename=setup
Compression=lzma
PrivilegesRequired=none
AllowNoIcons=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Backup.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\backup.ini"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Default.lng"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\changelog.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\readme.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\dll\UnzDll.dll"; DestDir: "{app}\dll"; Flags: ignoreversion 
Source: "{app}\dll\ZipDll.dll"; DestDir: "{app}\dll"; Flags: ignoreversion 
Source: "{app}\dll\ResDlls.res"; DestDir: "{app}\dll"; Flags: ignoreversion 
Source: "{app}\dll\DelZip179.dll"; DestDir: "{app}\dll"; Flags: ignoreversion 

[INI]
FileName: "{app}\Backup.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://mozbackup.jasnapaka.com/"; 
FileName: "{app}\Support.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://forum.jasnapaka.com/"; 

[Run]
Filename: "{app}\Backup.exe"; Description: "{cm:LaunchProgram,MozBackup}"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\MozBackup"; Filename: "{app}\Backup.exe"; WorkingDir: "{app}"; 
Name: "{group}\Homepage"; Filename: "{app}\Backup.url"; 
Name: "{group}\Support"; Filename: "{app}\Support.url"; 
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\MozBackup"; Filename: "{app}\Backup.exe"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 

[UninstallDelete]
Type: files; Name: "{app}\Backup.url"; 

[CustomMessages]
eng.NameAndVersion=%1 version %2
eng.AdditionalIcons=Additional icons:
eng.CreateDesktopIcon=Create a &desktop icon
eng.CreateQuickLaunchIcon=Create a &Quick Launch icon
eng.ProgramOnTheWeb=%1 on the Web
eng.UninstallProgram=Uninstall %1
eng.LaunchProgram=Launch %1
eng.AssocFileExtension=&Associate %1 with the %2 file extension
eng.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "eng"; MessagesFile: "embedded\eng.isl"; 
